__defineBuiltinComponent('image', { js: function (BuiltinComponent, wx, mmp) {
            "use strict";

BuiltinComponent('mt-image', {
  properties: {
    src: {
      type: String,
      value: ''
    },
    mode: {
      type: String,
      value: 'scaleToFill'
    },
    lazyLoad: {
      type: Boolean,
      value: false
    },
    webp: {
      type: Boolean,
      value: false
    },
    animation: Object
  },
  data: {
    enableLoad: false
  },
  shouldUpdate: function shouldUpdate(prevProps, nextProps) {
    if (this.data.mode === 'widthFix') {
      return true;
    }

    if (prevProps && nextProps) {
      // 只有改变了的属性才会存在于 prevProps 中
      // 所以此处只需遍历 preProps 即可
      for (var key in prevProps) {
        if (prevProps[key] !== nextProps[key]) {
          return true;
        }
      }
    }

    return false;
  },
  render: function render(createElement) {
    return createElement('div', {
      meta: {
        'class': 'mt-image',
        ref: 'container'
      }
    });
  }
});
          } });