__defineBuiltinComponent('swiper', { js: function (BuiltinComponent, wx, mmp) {
            "use strict";

BuiltinComponent('mt-swiper', {
  properties: {
    // 是否显示面板指示点
    indicatorDots: {
      type: Boolean,
      value: false
    },
    // 指示点颜色
    indicatorColor: {
      type: String,
      value: 'rgba(0,0,0,0.3)'
    },
    // 当前选中的指示点颜色
    indicatorActiveColor: {
      type: String,
      value: '#000000'
    },
    // 是否自动切换
    autoplay: {
      type: Boolean,
      value: false
    },
    // 当前所在滑块的 index
    current: {
      type: Number,
      value: 0
    },
    // 自动切换时间间隔
    interval: {
      type: Number,
      value: 5000
    },
    // 滑动动画时长
    duration: {
      type: Number,
      value: 500
    },
    // 是否采用衔接滑动
    circular: {
      type: Boolean,
      value: false
    },
    // 滑动方向是否为纵向
    vertical: {
      type: Boolean,
      value: false
    },
    // 前边距，可用于露出前一项的一小部分，接受 px 和 rpx 值
    previousMargin: {
      type: String,
      value: '0px'
    },
    // 后边距，可用于露出后一项的一小部分，接受 px 和 rpx 值
    nextMargin: {
      type: String,
      value: '0px'
    },
    // 同时显示的滑块数量
    displayMultipleItems: {
      type: Number,
      value: 1
    },
    // 指定 swiper 切换缓动动画类型
    easingFunction: {
      type: String,
      value: 'default'
    },
    currentItemId: {
      type: String,
      value: ''
    },
    skipHiddenItemLayout: {
      type: Boolean,
      value: false
    },
    snapToEdge: {
      type: Boolean,
      value: false
    }
  }
});
          },wxml: function (_) {
  return [_.c("div", {
    "props": null,
    "meta": {
      "ref": "mt-swiper-wrapper",
      "class": "mt-swiper-wrapper"
    }
  }, function (_) {
    return [_.c("div", {
      "props": null,
      "meta": {
        "ref": "mt-swiper-slides",
        "class": "mt-swiper-slides"
      }
    }, function (_) {
      return [_.c("div", {
        "props": null,
        "meta": {
          "ref": "mt-swiper-slide-frame",
          "class": "mt-swiper-slide-frame"
        }
      }, function (_) {
        return [_.s()];
      })];
    }), _.c("div", {
      "props": {
        "hidden": !_.cp("hidden", "indicatorDots"),
        "mtSwiperDotsHorizontal": !_.cp("mtSwiperDotsHorizontal", "vertical"),
        "mtSwiperDotsVertical": _.cp("mtSwiperDotsVertical", "vertical")
      },
      "meta": {
        "ref": "mt-swiper-dots",
        "class": _.m("mt-swiper-dots ", _.cp("class", "vertical") ? 'mt-swiper-dots-vertical' : 'mt-swiper-dots-horizontal')
      }
    })];
  })];
} });