__defineBuiltinComponent('view', { js: function (BuiltinComponent, wx, mmp) {
            "use strict";

var regExp = /\\t/g;

function transform(children) {
  var result = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];
  var i, child;

  for (i = 0; i < children.length; i++) {
    child = children[i];

    if (typeof child === 'string') {
      result.push(child.replace(regExp, '\t'));
    } else if (Array.isArray(child)) {
      transform(child, result);
    } else {
      result.push(child);
    }
  }

  return result;
}

BuiltinComponent('mt-view', {
  properties: {
    hoverClass: {
      type: String,
      value: 'none'
    },
    hoverStopPropagation: {
      type: Boolean,
      value: false
    },
    hoverStartTime: {
      type: Number,
      value: 50
    },
    hoverStayTime: {
      type: Number,
      value: 400
    },
    animation: Object
  },
  render: function render(h, getSlot) {
    return transform(getSlot('default'));
  }
});
          } });