__defineBuiltinComponent('radio', { js: function (BuiltinComponent, wx, mmp) {
            "use strict";

BuiltinComponent('mt-radio', {
  relations: {
    'mt-radio-group': {
      type: 'ancestor'
    },
    'mt-label': {
      type: 'ancestor'
    }
  },
  behaviors: ['wx://mt-label'],
  properties: {
    value: String,
    disabled: {
      type: [Boolean, String],
      value: false
    },
    checked: {
      type: [Boolean, String],
      value: false
    },
    color: {
      type: String,
      value: '#09BB07'
    }
  },
  render: function render(h, slots) {
    var _this = this;

    return h('span', {
      meta: {
        class: 'mt-radio-wrapper',
        on: [{
          name: 'tap',
          host: true,
          listener: 'handleTap'
        }]
      }
    }, function () {
      return [h('span', {
        meta: {
          class: 'mt-radio',
          style: 'color:' + _this.data.color,
          ref: 'radio'
        },
        props: {
          disabled: _this.data.disabled
        }
      }), slots()];
    });
  }
});
          } });